> For the complete documentation index, see [llms.txt](https://kayfarik.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://kayfarik.gitbook.io/docs/api/parsing-role-options.md).

# Parsing Role Options on Request

{% hint style="danger" %}
This feature is currently private. Create a [ticket](https://discord.gg/Nmh6F4JKcX) to submit a request.
{% endhint %}

{% hint style="info" %}
To use it, you need to use option parsing at least once to save category parsing settings:

[Parsing Role Options](/docs/guides/parsing-role-options.md)
{% endhint %}

{% hint style="info" %}
To get IDs, enable the `Developer Mode` in User Settings and right-click or hold message/server. There will be a "Copy ID" button.
{% endhint %}

## Using GET request and query string

## Category Synchronization

<mark style="color:blue;">`GET`</mark> `/api/sync?guildId=ID&categoryMessageId=ID`

#### Query Parameters

| Name                                                | Type      | Description                 |
| --------------------------------------------------- | --------- | --------------------------- |
| guildId<mark style="color:red;">\*</mark>           | Snowflake | Server ID.                  |
| categoryMessageId<mark style="color:red;">\*</mark> | Snowflake | Message ID of the category. |

{% tabs %}
{% tab title="200: OK" %}

```json
{
    "message": "The category has been synchronized."
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```json
{
    "message": "One of the required parameters is missing or invalid."
}
```

{% endtab %}

{% tab title="404: Not Found" %}

```json
{
    "message": "Server / Category were not found."
}
```

{% endtab %}

{% tab title="500: Internal Server Error" %}

```json
{
    "message": "An error occurred in the synchronization method."
}
```

{% endtab %}
{% endtabs %}

## Using POST request and headers

## Category Synchronization

<mark style="color:green;">`POST`</mark> `/api/sync`

#### Headers

| Name                                                | Type      | Description                 |
| --------------------------------------------------- | --------- | --------------------------- |
| guildId<mark style="color:red;">\*</mark>           | Snowflake | Server ID.                  |
| categoryMessageId<mark style="color:red;">\*</mark> | Snowflake | Message ID of the category. |

{% tabs %}
{% tab title="200: OK" %}

```json
{
    "message": "The category has been synchronized."
}
```

{% endtab %}

{% tab title="400: Bad Request" %}

```json
{
    "message": "One of the required parameters is missing or invalid."
}
```

{% endtab %}

{% tab title="404: Not Found" %}

```json
{
    "message": "Server / Category were not found."
}
```

{% endtab %}

{% tab title="500: Internal Server Error" %}

```json
{
    "message": "An error occurred in the synchronization method."
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
**Ratelimit** - 25 requests per 30 minutes
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://kayfarik.gitbook.io/docs/api/parsing-role-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
